<html>
<head>
<title>Ogre::GLXGLSupport Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1GLXGLSupport.html">GLXGLSupport</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="#pri-types">Private Types</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::GLXGLSupport Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::GLXGLSupport" --><!-- doxytag: inherits="Ogre::GLSupport" -->
<p><code>#include &lt;<a class="el" href="OgreGLXGLSupport_8h_source.html">OgreGLXGLSupport.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::GLXGLSupport:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1GLXGLSupport__inherit__graph.gif" border="0" usemap="#Ogre_1_1GLXGLSupport_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1GLXGLSupport_inherit__map" id="Ogre_1_1GLXGLSupport_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1GLSupport.html" title="Ogre::GLSupport" alt="" coords="19,5,139,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1GLXGLSupport-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXGLSupport.html#a4af928327bcdce2048d861a9d7f51234">GLXGLSupport</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXGLSupport.html#a1c01019a527a4e1b04b700108dbfaaef">~GLXGLSupport</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXGLSupport.html#aff0459e9592bd1b910b332f1c2c32114">addConfig</a> (void)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXGLSupport.html#a998341ee645a08f1cc7c470cfbbe9efd">validateConfig</a> (void)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXGLSupport.html#a2e5252c7b29e1989cc510285929353e1">setConfigOption</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;value)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1RenderWindow.html">RenderWindow</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXGLSupport.html#a9d03b93816711ea30d8d95387318d4cd">createWindow</a> (bool autoCreateWindow, <a class="el" href="classOgre_1_1GLRenderSystem.html">GLRenderSystem</a> *renderSystem, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;windowTitle)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1RenderWindow.html">RenderWindow</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXGLSupport.html#ab1312c4ac8d42d19d76724a7bec380a5">newWindow</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, unsigned int width, unsigned int height, bool fullScreen, const <a class="el" href="group__General.html#gadccb207c184efc0a6fb2a00ab6320d19">NameValuePairList</a> *miscParams=0)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1GLPBuffer.html">GLPBuffer</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXGLSupport.html#a41214274c410d4f7e1f40d9b09d06aa7">createPBuffer</a> (<a class="el" href="group__Image.html#gac8f59c884998d9f84d9ea4c66e4c29fe">PixelComponentType</a> format, size_t width, size_t height)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXGLSupport.html#ad901c0f5b08c793839dd6f0b9ad690ac">start</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXGLSupport.html#a077b198234bba08c1fe0ccfc27c6dc19">stop</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXGLSupport.html#ac053dc17e686c736008552b1a9ec942d">initialiseExtensions</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXGLSupport.html#a574ceb1c53ce76afb6c582efde82f60a">getProcAddress</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;procname)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXGLSupport.html#ad4473e7fbefce73099e139238a08b4c4">getDisplayName</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the name of the display and screen used for rendering.  <a href="#ad4473e7fbefce73099e139238a08b4c4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">Display *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXGLSupport.html#ae74ac94b8ad8ee8f8501727a9e466114">getGLDisplay</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the Display connection used for rendering.  <a href="#ae74ac94b8ad8ee8f8501727a9e466114"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">Display *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXGLSupport.html#ae57a12b9dcb259e71f2abdc48baf6071">getXDisplay</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the Display connection used for window management &amp; events.  <a href="#ae57a12b9dcb259e71f2abdc48baf6071"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXGLSupport.html#ab3a7ab4d6b3885ae9b1adba5cfc202d4">switchMode</a> (<a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> &amp;width, <a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> &amp;height, short &amp;frequency)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Switch video modes.  <a href="#ab3a7ab4d6b3885ae9b1adba5cfc202d4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXGLSupport.html#a51176a39c9c323825b912f6d5f050f3a">switchMode</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Switch back to original video mode.  <a href="#a51176a39c9c323825b912f6d5f050f3a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXGLSupport.html#a05d390ad6e98e136a0366be7ed52e5f0">loadIcon</a> (const std::string &amp;name, Pixmap *pix, Pixmap *mask)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Loads an icon from an <a class="el" href="namespaceOgre.html">Ogre</a> resource into the X Server.  <a href="#a05d390ad6e98e136a0366be7ed52e5f0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">GLXFBConfig&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXGLSupport.html#afd82b4d0882eb929eb742d9644c70837">getFBConfigFromContext</a> (::<a class="el" href="classOgre_1_1GLXContext.html">GLXContext</a> context)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the GLXFBConfig used to create a ::GLXContext.  <a href="#afd82b4d0882eb929eb742d9644c70837"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">GLXFBConfig&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXGLSupport.html#a1bc918fbb74fd045f4e9f8a61c6ef3b2">getFBConfigFromDrawable</a> (GLXDrawable drawable, unsigned int *width, unsigned int *height)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the GLXFBConfig used to create a GLXDrawable.  <a href="#a1bc918fbb74fd045f4e9f8a61c6ef3b2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">GLXFBConfig&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXGLSupport.html#a321cd9c8427d2f5f6b62622444233b11">selectFBConfig</a> (const int *minAttribs, const int *maxAttribs)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Select an FBConfig given a list of required and a list of desired properties.  <a href="#a321cd9c8427d2f5f6b62622444233b11"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">GLXFBConfig&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXGLSupport.html#a9e84d9a7eea9a5c23c060a9293609f1f">getFBConfigFromVisualID</a> (VisualID visualid)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets a GLXFBConfig compatible with a VisualID.  <a href="#a9e84d9a7eea9a5c23c060a9293609f1f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">GLXFBConfig *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXGLSupport.html#a0c2db4b820515c52e393be5ef3563421">chooseFBConfig</a> (const GLint *attribList, GLint *nElements)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Portable replacement for glXChooseFBConfig.  <a href="#a0c2db4b820515c52e393be5ef3563421"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">::<a class="el" href="classOgre_1_1GLXContext.html">GLXContext</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXGLSupport.html#aef344907799740613fe8c047a9405c9a">createNewContext</a> (GLXFBConfig fbConfig, GLint renderType,::<a class="el" href="classOgre_1_1GLXContext.html">GLXContext</a> shareList, GLboolean direct) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Portable replacement for glXCreateNewContext.  <a href="#aef344907799740613fe8c047a9405c9a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">GLint&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXGLSupport.html#aea534d6a5ffc7a6a6b4d120f491eddbd">getFBConfigAttrib</a> (GLXFBConfig fbConfig, GLint attribute, GLint *value)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Portable replacement for glXGetFBConfigAttrib.  <a href="#aea534d6a5ffc7a6a6b4d120f491eddbd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">XVisualInfo *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXGLSupport.html#af525bf6a93d6cc976c0d5fc1527d2fab">getVisualFromFBConfig</a> (GLXFBConfig fbConfig)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Portable replacement for glXGetVisualFromFBConfig.  <a href="#af525bf6a93d6cc976c0d5fc1527d2fab"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__General.html#gafba22dbf34cd07633293ddba65ee6add">ConfigOptionMap</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSupport.html#a7cb341968e2e1fec161f0a596adfad56">getConfigOptions</a> (void)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSupport.html#a46265aefdd9034f45b839c40142ad1b8">supportsPBuffers</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSupport.html#a605553feadb63b0b40e25cda379a21d8">getGLVendor</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get vendor information.  <a href="#a605553feadb63b0b40e25cda379a21d8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSupport.html#abfca0d98cde4f5bed7f805adac5adc72">getGLVersion</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get version information.  <a href="#abfca0d98cde4f5bed7f805adac5adc72"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSupport.html#a5ef47f21852bfd07b040327051a08b25">checkMinGLVersion</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;v) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Compare GL version numbers.  <a href="#a5ef47f21852bfd07b040327051a08b25"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSupport.html#ae274ae289aba6e62d4409841bca4aab2">checkExtension</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;ext) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Check if an extension is available.  <a href="#ae274ae289aba6e62d4409841bca4aab2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSupport.html#a379f629aae4ba8ea96943936df5c31ab">getDisplayMonitorCount</a> () const </td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">Atom&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXGLSupport.html#a6199ce9222ad9d532bc30e28274be995">mAtomDeleteWindow</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">Atom&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXGLSupport.html#afffcd4e35f1b1157cfc0b96e55847190">mAtomFullScreen</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">Atom&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXGLSupport.html#a405ef4220560aa43924e061e14991f38">mAtomState</a></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__General.html#gafba22dbf34cd07633293ddba65ee6add">ConfigOptionMap</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSupport.html#a5b5c4f15e6fee184e059f11790cb30b5">mOptions</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structOgre_1_1set.html">set</a>&lt; <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSupport.html#a0f3a8ac4a209aea9ef22b5aa4a40fcd7">extensionList</a></td></tr>
<tr><td colspan="2"><h2><a name="pri-types"></a>
Private Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef std::pair&lt; <a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a>, <a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXGLSupport.html#ae087102342a2a84abd6dd46b1d01efb3">ScreenSize</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef short&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXGLSupport.html#af5da5650fe15484f994a296d41f5f574">Rate</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef std::pair&lt; <a class="el" href="classOgre_1_1GLXGLSupport.html#ae087102342a2a84abd6dd46b1d01efb3">ScreenSize</a>, <br class="typebreak"/>
<a class="el" href="classOgre_1_1GLXGLSupport.html#af5da5650fe15484f994a296d41f5f574">Rate</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXGLSupport.html#a0954bbdc22d42e139ed6dcf7aaaf7f57">VideoMode</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef std::vector&lt; <a class="el" href="classOgre_1_1GLXGLSupport.html#a0954bbdc22d42e139ed6dcf7aaaf7f57">VideoMode</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXGLSupport.html#aacb66a96f340e55f923314e764d6ed3b">VideoModes</a></td></tr>
<tr><td colspan="2"><h2><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXGLSupport.html#a642d120ad7ba56e2f1b3ccdde3723ee2">initialiseGLXEW</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialise GLXEW without requiring a current GL context.  <a href="#a642d120ad7ba56e2f1b3ccdde3723ee2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXGLSupport.html#acb1e90ba8b610fcf98b63af4b8242a9e">refreshConfig</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Refresh config options to reflect dependencies.  <a href="#acb1e90ba8b610fcf98b63af4b8242a9e"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">Display *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXGLSupport.html#a0c3c624f717a2d109e826f728865f4db">mGLDisplay</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">Display *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXGLSupport.html#a6597c02438917f4bc92d3e5f35895788">mXDisplay</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXGLSupport.html#a1c0bcd19e502f33bea872466e09164bf">mIsExternalDisplay</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1GLXGLSupport.html#aacb66a96f340e55f923314e764d6ed3b">VideoModes</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXGLSupport.html#a63f609cd26fbfc515020d5f6104e88dc">mVideoModes</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1GLXGLSupport.html#a0954bbdc22d42e139ed6dcf7aaaf7f57">VideoMode</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXGLSupport.html#a1ff7162046fa546bb61305a73dd45505">mOriginalMode</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1GLXGLSupport.html#a0954bbdc22d42e139ed6dcf7aaaf7f57">VideoMode</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXGLSupport.html#a5cc8699092034a0bfc35b9a96d228a92">mCurrentMode</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__General.html#ga0899c03496d3c25c6555889aa76a78db">StringVector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXGLSupport.html#a1d2ef9a0841db617d9c28bdc65248949">mSampleLevels</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="OgreGLXGLSupport_8h_source.html#l00011">11</a> of file <a class="el" href="OgreGLXGLSupport_8h_source.html">OgreGLXGLSupport.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="af5da5650fe15484f994a296d41f5f574"></a><!-- doxytag: member="Ogre::GLXGLSupport::Rate" ref="af5da5650fe15484f994a296d41f5f574" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef short <a class="el" href="classOgre_1_1GLXGLSupport.html#af5da5650fe15484f994a296d41f5f574">Ogre::GLXGLSupport::Rate</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLXGLSupport_8h_source.html#l00189">189</a> of file <a class="el" href="OgreGLXGLSupport_8h_source.html">OgreGLXGLSupport.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae087102342a2a84abd6dd46b1d01efb3"></a><!-- doxytag: member="Ogre::GLXGLSupport::ScreenSize" ref="ae087102342a2a84abd6dd46b1d01efb3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::pair&lt;<a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a>, <a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a>&gt; <a class="el" href="classOgre_1_1GLXGLSupport.html#ae087102342a2a84abd6dd46b1d01efb3">Ogre::GLXGLSupport::ScreenSize</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLXGLSupport_8h_source.html#l00188">188</a> of file <a class="el" href="OgreGLXGLSupport_8h_source.html">OgreGLXGLSupport.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0954bbdc22d42e139ed6dcf7aaaf7f57"></a><!-- doxytag: member="Ogre::GLXGLSupport::VideoMode" ref="a0954bbdc22d42e139ed6dcf7aaaf7f57" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::pair&lt;<a class="el" href="classOgre_1_1GLXGLSupport.html#ae087102342a2a84abd6dd46b1d01efb3">ScreenSize</a>, <a class="el" href="classOgre_1_1GLXGLSupport.html#af5da5650fe15484f994a296d41f5f574">Rate</a>&gt; <a class="el" href="classOgre_1_1GLXGLSupport.html#a0954bbdc22d42e139ed6dcf7aaaf7f57">Ogre::GLXGLSupport::VideoMode</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLXGLSupport_8h_source.html#l00190">190</a> of file <a class="el" href="OgreGLXGLSupport_8h_source.html">OgreGLXGLSupport.h</a>.</p>

</div>
</div>
<a class="anchor" id="aacb66a96f340e55f923314e764d6ed3b"></a><!-- doxytag: member="Ogre::GLXGLSupport::VideoModes" ref="aacb66a96f340e55f923314e764d6ed3b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::vector&lt;<a class="el" href="classOgre_1_1GLXGLSupport.html#a0954bbdc22d42e139ed6dcf7aaaf7f57">VideoMode</a>&gt; <a class="el" href="classOgre_1_1GLXGLSupport.html#aacb66a96f340e55f923314e764d6ed3b">Ogre::GLXGLSupport::VideoModes</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLXGLSupport_8h_source.html#l00191">191</a> of file <a class="el" href="OgreGLXGLSupport_8h_source.html">OgreGLXGLSupport.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a4af928327bcdce2048d861a9d7f51234"></a><!-- doxytag: member="Ogre::GLXGLSupport::GLXGLSupport" ref="a4af928327bcdce2048d861a9d7f51234" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLXGLSupport.html#a4af928327bcdce2048d861a9d7f51234">Ogre::GLXGLSupport::GLXGLSupport</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a1c01019a527a4e1b04b700108dbfaaef"></a><!-- doxytag: member="Ogre::GLXGLSupport::~GLXGLSupport" ref="a1c01019a527a4e1b04b700108dbfaaef" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLXGLSupport.html#a1c01019a527a4e1b04b700108dbfaaef">Ogre::GLXGLSupport::~GLXGLSupport</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="aff0459e9592bd1b910b332f1c2c32114"></a><!-- doxytag: member="Ogre::GLXGLSupport::addConfig" ref="aff0459e9592bd1b910b332f1c2c32114" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLXGLSupport.html#aff0459e9592bd1b910b332f1c2c32114">Ogre::GLXGLSupport::addConfig</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
 <a class="el" href="classOgre_1_1GLSupport.html#a5768067351c51ef11ad40dc0717251bb" title="Add any special config values to the system.">GLSupport::addConfig</a> </p>

<p>Implements <a class="el" href="classOgre_1_1GLSupport.html#a5768067351c51ef11ad40dc0717251bb">Ogre::GLSupport</a>.</p>

</div>
</div>
<a class="anchor" id="ae274ae289aba6e62d4409841bca4aab2"></a><!-- doxytag: member="Ogre::GLXGLSupport::checkExtension" ref="ae274ae289aba6e62d4409841bca4aab2" args="(const String &amp;ext) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1GLSupport.html#ae274ae289aba6e62d4409841bca4aab2">Ogre::GLSupport::checkExtension</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>ext</em></td><td>)</td>
          <td> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Check if an extension is available. </p>

<p>Reimplemented in <a class="el" href="classOgre_1_1GTKGLSupport.html#a670b7bdca00d8c60c3ddaf763b3e74b4">Ogre::GTKGLSupport</a>.</p>

</div>
</div>
<a class="anchor" id="a5ef47f21852bfd07b040327051a08b25"></a><!-- doxytag: member="Ogre::GLXGLSupport::checkMinGLVersion" ref="a5ef47f21852bfd07b040327051a08b25" args="(const String &amp;v) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1GLSupport.html#a5ef47f21852bfd07b040327051a08b25">Ogre::GLSupport::checkMinGLVersion</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>v</em></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Compare GL version numbers. </p>

<p>Reimplemented in <a class="el" href="classOgre_1_1GTKGLSupport.html#a36e26ed10e5f16aded817ce67e7492fd">Ogre::GTKGLSupport</a>.</p>

</div>
</div>
<a class="anchor" id="a0c2db4b820515c52e393be5ef3563421"></a><!-- doxytag: member="Ogre::GLXGLSupport::chooseFBConfig" ref="a0c2db4b820515c52e393be5ef3563421" args="(const GLint *attribList, GLint *nElements)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GLXFBConfig* <a class="el" href="classOgre_1_1GLXGLSupport.html#a0c2db4b820515c52e393be5ef3563421">Ogre::GLXGLSupport::chooseFBConfig</a> </td>
          <td>(</td>
          <td class="paramtype">const GLint *&#160;</td>
          <td class="paramname"><em>attribList</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">GLint *&#160;</td>
          <td class="paramname"><em>nElements</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Portable replacement for glXChooseFBConfig. </p>

</div>
</div>
<a class="anchor" id="aef344907799740613fe8c047a9405c9a"></a><!-- doxytag: member="Ogre::GLXGLSupport::createNewContext" ref="aef344907799740613fe8c047a9405c9a" args="(GLXFBConfig fbConfig, GLint renderType,::GLXContext shareList, GLboolean direct) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">::<a class="el" href="classOgre_1_1GLXContext.html">GLXContext</a> <a class="el" href="classOgre_1_1GLXGLSupport.html#aef344907799740613fe8c047a9405c9a">Ogre::GLXGLSupport::createNewContext</a> </td>
          <td>(</td>
          <td class="paramtype">GLXFBConfig&#160;</td>
          <td class="paramname"><em>fbConfig</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">GLint&#160;</td>
          <td class="paramname"><em>renderType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">::<a class="el" href="classOgre_1_1GLXContext.html">GLXContext</a>&#160;</td>
          <td class="paramname"><em>shareList</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">GLboolean&#160;</td>
          <td class="paramname"><em>direct</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Portable replacement for glXCreateNewContext. </p>

</div>
</div>
<a class="anchor" id="a41214274c410d4f7e1f40d9b09d06aa7"></a><!-- doxytag: member="Ogre::GLXGLSupport::createPBuffer" ref="a41214274c410d4f7e1f40d9b09d06aa7" args="(PixelComponentType format, size_t width, size_t height)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLPBuffer.html">GLPBuffer</a>* <a class="el" href="classOgre_1_1GLXGLSupport.html#a41214274c410d4f7e1f40d9b09d06aa7">Ogre::GLXGLSupport::createPBuffer</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Image.html#gac8f59c884998d9f84d9ea4c66e4c29fe">PixelComponentType</a>&#160;</td>
          <td class="paramname"><em>format</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>height</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
 
<p>Reimplemented from <a class="el" href="classOgre_1_1GLSupport.html#a91f992ff69e6590b89761cfafcaa6b28">Ogre::GLSupport</a>.</p>

</div>
</div>
<a class="anchor" id="a9d03b93816711ea30d8d95387318d4cd"></a><!-- doxytag: member="Ogre::GLXGLSupport::createWindow" ref="a9d03b93816711ea30d8d95387318d4cd" args="(bool autoCreateWindow, GLRenderSystem *renderSystem, const String &amp;windowTitle)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderWindow.html">RenderWindow</a>* <a class="el" href="classOgre_1_1GLXGLSupport.html#a9d03b93816711ea30d8d95387318d4cd">Ogre::GLXGLSupport::createWindow</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>autoCreateWindow</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1GLRenderSystem.html">GLRenderSystem</a> *&#160;</td>
          <td class="paramname"><em>renderSystem</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>windowTitle</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
 
<p>Implements <a class="el" href="classOgre_1_1GLSupport.html#a8d0df0814578018a78a8f890fd8ad21b">Ogre::GLSupport</a>.</p>

</div>
</div>
<a class="anchor" id="a7cb341968e2e1fec161f0a596adfad56"></a><!-- doxytag: member="Ogre::GLXGLSupport::getConfigOptions" ref="a7cb341968e2e1fec161f0a596adfad56" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="group__General.html#gafba22dbf34cd07633293ddba65ee6add">ConfigOptionMap</a>&amp; <a class="el" href="classOgre_1_1GLSupport.html#a7cb341968e2e1fec161f0a596adfad56">Ogre::GLSupport::getConfigOptions</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a379f629aae4ba8ea96943936df5c31ab"></a><!-- doxytag: member="Ogre::GLXGLSupport::getDisplayMonitorCount" ref="a379f629aae4ba8ea96943936df5c31ab" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual unsigned int <a class="el" href="classOgre_1_1GLSupport.html#a379f629aae4ba8ea96943936df5c31ab">Ogre::GLSupport::getDisplayMonitorCount</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Gets the number of display monitors. </p>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1Root.html#aee8523d20d3d69a6cf39ed0499663a52" title="Gets the number of display monitors.">Root::getDisplayMonitorCount</a> </dd></dl>
 
<p>Reimplemented in <a class="el" href="classOgre_1_1Win32GLSupport.html#a2ed2be7b36585cacf6b9cecdc0205554">Ogre::Win32GLSupport</a>.</p>

<p>Definition at line <a class="el" href="OgreGLSupport_8h_source.html#l00118">118</a> of file <a class="el" href="OgreGLSupport_8h_source.html">OgreGLSupport.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad4473e7fbefce73099e139238a08b4c4"></a><!-- doxytag: member="Ogre::GLXGLSupport::getDisplayName" ref="ad4473e7fbefce73099e139238a08b4c4" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1GLXGLSupport.html#ad4473e7fbefce73099e139238a08b4c4">Ogre::GLXGLSupport::getDisplayName</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the name of the display and screen used for rendering. </p>
<p><a class="el" href="namespaceOgre.html">Ogre</a> normally opens its own connection to the X server and renders onto the screen where the user logged in</p>
<p>However, if <a class="el" href="namespaceOgre.html">Ogre</a> is passed a current GL context when the first <a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> is created, then it will connect to the X server using the same connection as that GL context and direct all subsequent rendering to the screen targeted by that GL context.</p>
<dl class="return"><dt><b>Returns:</b></dt><dd>Display name. </dd></dl>

</div>
</div>
<a class="anchor" id="aea534d6a5ffc7a6a6b4d120f491eddbd"></a><!-- doxytag: member="Ogre::GLXGLSupport::getFBConfigAttrib" ref="aea534d6a5ffc7a6a6b4d120f491eddbd" args="(GLXFBConfig fbConfig, GLint attribute, GLint *value)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GLint <a class="el" href="classOgre_1_1GLXGLSupport.html#aea534d6a5ffc7a6a6b4d120f491eddbd">Ogre::GLXGLSupport::getFBConfigAttrib</a> </td>
          <td>(</td>
          <td class="paramtype">GLXFBConfig&#160;</td>
          <td class="paramname"><em>fbConfig</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">GLint&#160;</td>
          <td class="paramname"><em>attribute</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">GLint *&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Portable replacement for glXGetFBConfigAttrib. </p>

</div>
</div>
<a class="anchor" id="afd82b4d0882eb929eb742d9644c70837"></a><!-- doxytag: member="Ogre::GLXGLSupport::getFBConfigFromContext" ref="afd82b4d0882eb929eb742d9644c70837" args="(::GLXContext context)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GLXFBConfig <a class="el" href="classOgre_1_1GLXGLSupport.html#afd82b4d0882eb929eb742d9644c70837">Ogre::GLXGLSupport::getFBConfigFromContext</a> </td>
          <td>(</td>
          <td class="paramtype">::<a class="el" href="classOgre_1_1GLXContext.html">GLXContext</a>&#160;</td>
          <td class="paramname"><em>context</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the GLXFBConfig used to create a ::GLXContext. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">drawable</td><td><a class="el" href="classOgre_1_1GLXContext.html">GLXContext</a> </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>GLXFBConfig used to create the context </dd></dl>

</div>
</div>
<a class="anchor" id="a1bc918fbb74fd045f4e9f8a61c6ef3b2"></a><!-- doxytag: member="Ogre::GLXGLSupport::getFBConfigFromDrawable" ref="a1bc918fbb74fd045f4e9f8a61c6ef3b2" args="(GLXDrawable drawable, unsigned int *width, unsigned int *height)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GLXFBConfig <a class="el" href="classOgre_1_1GLXGLSupport.html#a1bc918fbb74fd045f4e9f8a61c6ef3b2">Ogre::GLXGLSupport::getFBConfigFromDrawable</a> </td>
          <td>(</td>
          <td class="paramtype">GLXDrawable&#160;</td>
          <td class="paramname"><em>drawable</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int *&#160;</td>
          <td class="paramname"><em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int *&#160;</td>
          <td class="paramname"><em>height</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the GLXFBConfig used to create a GLXDrawable. </p>
<p>Caveat: GLX version 1.3 is needed when the drawable is a GLXPixmap</p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">drawable</td><td>GLXDrawable </td></tr>
    <tr><td class="paramname">width</td><td>Receiver for the drawable width </td></tr>
    <tr><td class="paramname">height</td><td>Receiver for the drawable height </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>GLXFBConfig used to create the drawable </dd></dl>

</div>
</div>
<a class="anchor" id="a9e84d9a7eea9a5c23c060a9293609f1f"></a><!-- doxytag: member="Ogre::GLXGLSupport::getFBConfigFromVisualID" ref="a9e84d9a7eea9a5c23c060a9293609f1f" args="(VisualID visualid)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GLXFBConfig <a class="el" href="classOgre_1_1GLXGLSupport.html#a9e84d9a7eea9a5c23c060a9293609f1f">Ogre::GLXGLSupport::getFBConfigFromVisualID</a> </td>
          <td>(</td>
          <td class="paramtype">VisualID&#160;</td>
          <td class="paramname"><em>visualid</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets a GLXFBConfig compatible with a VisualID. </p>
<p>Some platforms fail to implement glXGetFBconfigFromVisualSGIX as part of the GLX_SGIX_fbconfig extension, but this portable alternative suffices for the creation of compatible contexts.</p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">visualid</td><td>VisualID </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>FBConfig for VisualID </dd></dl>

</div>
</div>
<a class="anchor" id="ae74ac94b8ad8ee8f8501727a9e466114"></a><!-- doxytag: member="Ogre::GLXGLSupport::getGLDisplay" ref="ae74ac94b8ad8ee8f8501727a9e466114" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Display* <a class="el" href="classOgre_1_1GLXGLSupport.html#ae74ac94b8ad8ee8f8501727a9e466114">Ogre::GLXGLSupport::getGLDisplay</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the Display connection used for rendering. </p>
<p>This function establishes the initial connection when necessary.</p>
<dl class="return"><dt><b>Returns:</b></dt><dd>Display connection </dd></dl>

</div>
</div>
<a class="anchor" id="a605553feadb63b0b40e25cda379a21d8"></a><!-- doxytag: member="Ogre::GLXGLSupport::getGLVendor" ref="a605553feadb63b0b40e25cda379a21d8" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="el" href="classOgre_1_1GLSupport.html#a605553feadb63b0b40e25cda379a21d8">Ogre::GLSupport::getGLVendor</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get vendor information. </p>

<p>Definition at line <a class="el" href="OgreGLSupport_8h_source.html#l00085">85</a> of file <a class="el" href="OgreGLSupport_8h_source.html">OgreGLSupport.h</a>.</p>

</div>
</div>
<a class="anchor" id="abfca0d98cde4f5bed7f805adac5adc72"></a><!-- doxytag: member="Ogre::GLXGLSupport::getGLVersion" ref="abfca0d98cde4f5bed7f805adac5adc72" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="el" href="classOgre_1_1GLSupport.html#abfca0d98cde4f5bed7f805adac5adc72">Ogre::GLSupport::getGLVersion</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get version information. </p>

<p>Definition at line <a class="el" href="OgreGLSupport_8h_source.html#l00093">93</a> of file <a class="el" href="OgreGLSupport_8h_source.html">OgreGLSupport.h</a>.</p>

</div>
</div>
<a class="anchor" id="a574ceb1c53ce76afb6c582efde82f60a"></a><!-- doxytag: member="Ogre::GLXGLSupport::getProcAddress" ref="a574ceb1c53ce76afb6c582efde82f60a" args="(const String &amp;procname)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1GLXGLSupport.html#a574ceb1c53ce76afb6c582efde82f60a">Ogre::GLXGLSupport::getProcAddress</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>procname</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
 <a class="el" href="classOgre_1_1GLSupport.html#a8178f7c197f702846d213ade4669bfa1" title="Get the address of a function.">GLSupport::getProcAddress</a> </p>

<p>Implements <a class="el" href="classOgre_1_1GLSupport.html#a8178f7c197f702846d213ade4669bfa1">Ogre::GLSupport</a>.</p>

</div>
</div>
<a class="anchor" id="af525bf6a93d6cc976c0d5fc1527d2fab"></a><!-- doxytag: member="Ogre::GLXGLSupport::getVisualFromFBConfig" ref="af525bf6a93d6cc976c0d5fc1527d2fab" args="(GLXFBConfig fbConfig)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">XVisualInfo* <a class="el" href="classOgre_1_1GLXGLSupport.html#af525bf6a93d6cc976c0d5fc1527d2fab">Ogre::GLXGLSupport::getVisualFromFBConfig</a> </td>
          <td>(</td>
          <td class="paramtype">GLXFBConfig&#160;</td>
          <td class="paramname"><em>fbConfig</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Portable replacement for glXGetVisualFromFBConfig. </p>

</div>
</div>
<a class="anchor" id="ae57a12b9dcb259e71f2abdc48baf6071"></a><!-- doxytag: member="Ogre::GLXGLSupport::getXDisplay" ref="ae57a12b9dcb259e71f2abdc48baf6071" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Display* <a class="el" href="classOgre_1_1GLXGLSupport.html#ae57a12b9dcb259e71f2abdc48baf6071">Ogre::GLXGLSupport::getXDisplay</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the Display connection used for window management &amp; events. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>Display connection </dd></dl>

</div>
</div>
<a class="anchor" id="ac053dc17e686c736008552b1a9ec942d"></a><!-- doxytag: member="Ogre::GLXGLSupport::initialiseExtensions" ref="ac053dc17e686c736008552b1a9ec942d" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLXGLSupport.html#ac053dc17e686c736008552b1a9ec942d">Ogre::GLXGLSupport::initialiseExtensions</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
 <a class="el" href="classOgre_1_1GLSupport.html#a04cb4a54ce276a4088339aa4d97b6e0e" title="Initialises GL extensions, must be done AFTER the GL context has been established.">GLSupport::initialiseExtensions</a> </p>

<p>Reimplemented from <a class="el" href="classOgre_1_1GLSupport.html#a04cb4a54ce276a4088339aa4d97b6e0e">Ogre::GLSupport</a>.</p>

</div>
</div>
<a class="anchor" id="a642d120ad7ba56e2f1b3ccdde3723ee2"></a><!-- doxytag: member="Ogre::GLXGLSupport::initialiseGLXEW" ref="a642d120ad7ba56e2f1b3ccdde3723ee2" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLXGLSupport.html#a642d120ad7ba56e2f1b3ccdde3723ee2">Ogre::GLXGLSupport::initialiseGLXEW</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Initialise GLXEW without requiring a current GL context. </p>

</div>
</div>
<a class="anchor" id="a05d390ad6e98e136a0366be7ed52e5f0"></a><!-- doxytag: member="Ogre::GLXGLSupport::loadIcon" ref="a05d390ad6e98e136a0366be7ed52e5f0" args="(const std::string &amp;name, Pixmap *pix, Pixmap *mask)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1GLXGLSupport.html#a05d390ad6e98e136a0366be7ed52e5f0">Ogre::GLXGLSupport::loadIcon</a> </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Pixmap *&#160;</td>
          <td class="paramname"><em>pix</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Pixmap *&#160;</td>
          <td class="paramname"><em>mask</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Loads an icon from an <a class="el" href="namespaceOgre.html">Ogre</a> resource into the X Server. </p>
<p>This currently only works for 24 and 32 bit displays. The image must be findable by the <a class="el" href="namespaceOgre.html">Ogre</a> resource system, and of format PF_A8R8G8B8.</p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">display</td><td>X display </td></tr>
    <tr><td class="paramname">name</td><td>Name of image to load </td></tr>
    <tr><td class="paramname">pix</td><td>Receiver for the output pixmap </td></tr>
    <tr><td class="paramname">mask</td><td>Receiver for the output mask (alpha bitmap) </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>true on success </dd></dl>

</div>
</div>
<a class="anchor" id="ab1312c4ac8d42d19d76724a7bec380a5"></a><!-- doxytag: member="Ogre::GLXGLSupport::newWindow" ref="ab1312c4ac8d42d19d76724a7bec380a5" args="(const String &amp;name, unsigned int width, unsigned int height, bool fullScreen, const NameValuePairList *miscParams=0)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderWindow.html">RenderWindow</a>* <a class="el" href="classOgre_1_1GLXGLSupport.html#ab1312c4ac8d42d19d76724a7bec380a5">Ogre::GLXGLSupport::newWindow</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>height</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>fullScreen</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="group__General.html#gadccb207c184efc0a6fb2a00ab6320d19">NameValuePairList</a> *&#160;</td>
          <td class="paramname"><em>miscParams</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
 
<p>Implements <a class="el" href="classOgre_1_1GLSupport.html#abb8f80ec1b1bd562672c5eb33352e9f9">Ogre::GLSupport</a>.</p>

</div>
</div>
<a class="anchor" id="acb1e90ba8b610fcf98b63af4b8242a9e"></a><!-- doxytag: member="Ogre::GLXGLSupport::refreshConfig" ref="acb1e90ba8b610fcf98b63af4b8242a9e" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLXGLSupport.html#acb1e90ba8b610fcf98b63af4b8242a9e">Ogre::GLXGLSupport::refreshConfig</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Refresh config options to reflect dependencies. </p>

</div>
</div>
<a class="anchor" id="a321cd9c8427d2f5f6b62622444233b11"></a><!-- doxytag: member="Ogre::GLXGLSupport::selectFBConfig" ref="a321cd9c8427d2f5f6b62622444233b11" args="(const int *minAttribs, const int *maxAttribs)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GLXFBConfig <a class="el" href="classOgre_1_1GLXGLSupport.html#a321cd9c8427d2f5f6b62622444233b11">Ogre::GLXGLSupport::selectFBConfig</a> </td>
          <td>(</td>
          <td class="paramtype">const int *&#160;</td>
          <td class="paramname"><em>minAttribs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const int *&#160;</td>
          <td class="paramname"><em>maxAttribs</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Select an FBConfig given a list of required and a list of desired properties. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">display</td><td>X Display </td></tr>
    <tr><td class="paramname">minAttribs</td><td>FBConfig attributes that must be provided with minimum values </td></tr>
    <tr><td class="paramname">maxAttribs</td><td>FBConfig attributes that are desirable with maximum values </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>GLXFBConfig with attributes or 0 when unsupported. </dd></dl>

</div>
</div>
<a class="anchor" id="a2e5252c7b29e1989cc510285929353e1"></a><!-- doxytag: member="Ogre::GLXGLSupport::setConfigOption" ref="a2e5252c7b29e1989cc510285929353e1" args="(const String &amp;name, const String &amp;value)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLXGLSupport.html#a2e5252c7b29e1989cc510285929353e1">Ogre::GLXGLSupport::setConfigOption</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
 <a class="el" href="classOgre_1_1GLSupport.html#abf6d4613a3d5bb3fa01cfcdd165d218f">GLSupport::setConfigOption</a> </p>

<p>Reimplemented from <a class="el" href="classOgre_1_1GLSupport.html#abf6d4613a3d5bb3fa01cfcdd165d218f">Ogre::GLSupport</a>.</p>

</div>
</div>
<a class="anchor" id="ad901c0f5b08c793839dd6f0b9ad690ac"></a><!-- doxytag: member="Ogre::GLXGLSupport::start" ref="ad901c0f5b08c793839dd6f0b9ad690ac" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLXGLSupport.html#ad901c0f5b08c793839dd6f0b9ad690ac">Ogre::GLXGLSupport::start</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
 <a class="el" href="classOgre_1_1GLSupport.html#a879f0cb8c332e623613a9837bb994800" title="Start anything special.">GLSupport::start</a> </p>

<p>Implements <a class="el" href="classOgre_1_1GLSupport.html#a879f0cb8c332e623613a9837bb994800">Ogre::GLSupport</a>.</p>

</div>
</div>
<a class="anchor" id="a077b198234bba08c1fe0ccfc27c6dc19"></a><!-- doxytag: member="Ogre::GLXGLSupport::stop" ref="a077b198234bba08c1fe0ccfc27c6dc19" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLXGLSupport.html#a077b198234bba08c1fe0ccfc27c6dc19">Ogre::GLXGLSupport::stop</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
 <a class="el" href="classOgre_1_1GLSupport.html#a8900222e86476441b4742ceb1fd37293" title="Stop anything special.">GLSupport::stop</a> </p>

<p>Implements <a class="el" href="classOgre_1_1GLSupport.html#a8900222e86476441b4742ceb1fd37293">Ogre::GLSupport</a>.</p>

</div>
</div>
<a class="anchor" id="a46265aefdd9034f45b839c40142ad1b8"></a><!-- doxytag: member="Ogre::GLXGLSupport::supportsPBuffers" ref="a46265aefdd9034f45b839c40142ad1b8" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1GLSupport.html#a46265aefdd9034f45b839c40142ad1b8">Ogre::GLSupport::supportsPBuffers</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Reimplemented in <a class="el" href="classOgre_1_1Win32GLSupport.html#a1fdbb26a63f85157bee76ebfd3c0a600">Ogre::Win32GLSupport</a>, and <a class="el" href="classOgre_1_1OSXGLSupport.html#a208ec75ef634c6cfbdf2a796b91e3923">Ogre::OSXGLSupport</a>.</p>

</div>
</div>
<a class="anchor" id="ab3a7ab4d6b3885ae9b1adba5cfc202d4"></a><!-- doxytag: member="Ogre::GLXGLSupport::switchMode" ref="ab3a7ab4d6b3885ae9b1adba5cfc202d4" args="(uint &amp;width, uint &amp;height, short &amp;frequency)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLXGLSupport.html#ab3a7ab4d6b3885ae9b1adba5cfc202d4">Ogre::GLXGLSupport::switchMode</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> &amp;&#160;</td>
          <td class="paramname"><em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> &amp;&#160;</td>
          <td class="paramname"><em>height</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">short &amp;&#160;</td>
          <td class="paramname"><em>frequency</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Switch video modes. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">width</td><td>Receiver for requested and final width </td></tr>
    <tr><td class="paramname">height</td><td>Receiver for requested and final drawable height </td></tr>
    <tr><td class="paramname">height</td><td>Receiver for requested and final drawable frequency </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a51176a39c9c323825b912f6d5f050f3a"></a><!-- doxytag: member="Ogre::GLXGLSupport::switchMode" ref="a51176a39c9c323825b912f6d5f050f3a" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLXGLSupport.html#ab3a7ab4d6b3885ae9b1adba5cfc202d4">Ogre::GLXGLSupport::switchMode</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Switch back to original video mode. </p>

</div>
</div>
<a class="anchor" id="a998341ee645a08f1cc7c470cfbbe9efd"></a><!-- doxytag: member="Ogre::GLXGLSupport::validateConfig" ref="a998341ee645a08f1cc7c470cfbbe9efd" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1GLXGLSupport.html#a998341ee645a08f1cc7c470cfbbe9efd">Ogre::GLXGLSupport::validateConfig</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
 <a class="el" href="classOgre_1_1GLSupport.html#a5c715eb0c3cad1f1dd89ddf8acc7867b" title="Make sure all the extra options are valid.">GLSupport::validateConfig</a> </p>

<p>Implements <a class="el" href="classOgre_1_1GLSupport.html#a5c715eb0c3cad1f1dd89ddf8acc7867b">Ogre::GLSupport</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a0f3a8ac4a209aea9ef22b5aa4a40fcd7"></a><!-- doxytag: member="Ogre::GLXGLSupport::extensionList" ref="a0f3a8ac4a209aea9ef22b5aa4a40fcd7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1set.html">set</a>&lt;<a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&gt;::type <a class="el" href="classOgre_1_1GLSupport.html#a0f3a8ac4a209aea9ef22b5aa4a40fcd7">Ogre::GLSupport::extensionList</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLSupport_8h_source.html#l00128">128</a> of file <a class="el" href="OgreGLSupport_8h_source.html">OgreGLSupport.h</a>.</p>

</div>
</div>
<a class="anchor" id="a6199ce9222ad9d532bc30e28274be995"></a><!-- doxytag: member="Ogre::GLXGLSupport::mAtomDeleteWindow" ref="a6199ce9222ad9d532bc30e28274be995" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Atom <a class="el" href="classOgre_1_1GLXGLSupport.html#a6199ce9222ad9d532bc30e28274be995">Ogre::GLXGLSupport::mAtomDeleteWindow</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLXGLSupport_8h_source.html#l00017">17</a> of file <a class="el" href="OgreGLXGLSupport_8h_source.html">OgreGLXGLSupport.h</a>.</p>

</div>
</div>
<a class="anchor" id="afffcd4e35f1b1157cfc0b96e55847190"></a><!-- doxytag: member="Ogre::GLXGLSupport::mAtomFullScreen" ref="afffcd4e35f1b1157cfc0b96e55847190" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Atom <a class="el" href="classOgre_1_1GLXGLSupport.html#afffcd4e35f1b1157cfc0b96e55847190">Ogre::GLXGLSupport::mAtomFullScreen</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLXGLSupport_8h_source.html#l00018">18</a> of file <a class="el" href="OgreGLXGLSupport_8h_source.html">OgreGLXGLSupport.h</a>.</p>

</div>
</div>
<a class="anchor" id="a405ef4220560aa43924e061e14991f38"></a><!-- doxytag: member="Ogre::GLXGLSupport::mAtomState" ref="a405ef4220560aa43924e061e14991f38" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Atom <a class="el" href="classOgre_1_1GLXGLSupport.html#a405ef4220560aa43924e061e14991f38">Ogre::GLXGLSupport::mAtomState</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLXGLSupport_8h_source.html#l00019">19</a> of file <a class="el" href="OgreGLXGLSupport_8h_source.html">OgreGLXGLSupport.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5cc8699092034a0bfc35b9a96d228a92"></a><!-- doxytag: member="Ogre::GLXGLSupport::mCurrentMode" ref="a5cc8699092034a0bfc35b9a96d228a92" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLXGLSupport.html#a0954bbdc22d42e139ed6dcf7aaaf7f57">VideoMode</a> <a class="el" href="classOgre_1_1GLXGLSupport.html#a5cc8699092034a0bfc35b9a96d228a92">Ogre::GLXGLSupport::mCurrentMode</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLXGLSupport_8h_source.html#l00195">195</a> of file <a class="el" href="OgreGLXGLSupport_8h_source.html">OgreGLXGLSupport.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0c3c624f717a2d109e826f728865f4db"></a><!-- doxytag: member="Ogre::GLXGLSupport::mGLDisplay" ref="a0c3c624f717a2d109e826f728865f4db" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Display* <a class="el" href="classOgre_1_1GLXGLSupport.html#a0c3c624f717a2d109e826f728865f4db">Ogre::GLXGLSupport::mGLDisplay</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLXGLSupport_8h_source.html#l00184">184</a> of file <a class="el" href="OgreGLXGLSupport_8h_source.html">OgreGLXGLSupport.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c0bcd19e502f33bea872466e09164bf"></a><!-- doxytag: member="Ogre::GLXGLSupport::mIsExternalDisplay" ref="a1c0bcd19e502f33bea872466e09164bf" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1GLXGLSupport.html#a1c0bcd19e502f33bea872466e09164bf">Ogre::GLXGLSupport::mIsExternalDisplay</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLXGLSupport_8h_source.html#l00186">186</a> of file <a class="el" href="OgreGLXGLSupport_8h_source.html">OgreGLXGLSupport.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5b5c4f15e6fee184e059f11790cb30b5"></a><!-- doxytag: member="Ogre::GLXGLSupport::mOptions" ref="a5b5c4f15e6fee184e059f11790cb30b5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__General.html#gafba22dbf34cd07633293ddba65ee6add">ConfigOptionMap</a> <a class="el" href="classOgre_1_1GLSupport.html#a5b5c4f15e6fee184e059f11790cb30b5">Ogre::GLSupport::mOptions</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLSupport_8h_source.html#l00125">125</a> of file <a class="el" href="OgreGLSupport_8h_source.html">OgreGLSupport.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1ff7162046fa546bb61305a73dd45505"></a><!-- doxytag: member="Ogre::GLXGLSupport::mOriginalMode" ref="a1ff7162046fa546bb61305a73dd45505" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLXGLSupport.html#a0954bbdc22d42e139ed6dcf7aaaf7f57">VideoMode</a> <a class="el" href="classOgre_1_1GLXGLSupport.html#a1ff7162046fa546bb61305a73dd45505">Ogre::GLXGLSupport::mOriginalMode</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLXGLSupport_8h_source.html#l00194">194</a> of file <a class="el" href="OgreGLXGLSupport_8h_source.html">OgreGLXGLSupport.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1d2ef9a0841db617d9c28bdc65248949"></a><!-- doxytag: member="Ogre::GLXGLSupport::mSampleLevels" ref="a1d2ef9a0841db617d9c28bdc65248949" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__General.html#ga0899c03496d3c25c6555889aa76a78db">StringVector</a> <a class="el" href="classOgre_1_1GLXGLSupport.html#a1d2ef9a0841db617d9c28bdc65248949">Ogre::GLXGLSupport::mSampleLevels</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLXGLSupport_8h_source.html#l00197">197</a> of file <a class="el" href="OgreGLXGLSupport_8h_source.html">OgreGLXGLSupport.h</a>.</p>

</div>
</div>
<a class="anchor" id="a63f609cd26fbfc515020d5f6104e88dc"></a><!-- doxytag: member="Ogre::GLXGLSupport::mVideoModes" ref="a63f609cd26fbfc515020d5f6104e88dc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLXGLSupport.html#aacb66a96f340e55f923314e764d6ed3b">VideoModes</a> <a class="el" href="classOgre_1_1GLXGLSupport.html#a63f609cd26fbfc515020d5f6104e88dc">Ogre::GLXGLSupport::mVideoModes</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLXGLSupport_8h_source.html#l00193">193</a> of file <a class="el" href="OgreGLXGLSupport_8h_source.html">OgreGLXGLSupport.h</a>.</p>

</div>
</div>
<a class="anchor" id="a6597c02438917f4bc92d3e5f35895788"></a><!-- doxytag: member="Ogre::GLXGLSupport::mXDisplay" ref="a6597c02438917f4bc92d3e5f35895788" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Display* <a class="el" href="classOgre_1_1GLXGLSupport.html#a6597c02438917f4bc92d3e5f35895788">Ogre::GLXGLSupport::mXDisplay</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLXGLSupport_8h_source.html#l00185">185</a> of file <a class="el" href="OgreGLXGLSupport_8h_source.html">OgreGLXGLSupport.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreGLXGLSupport_8h_source.html">OgreGLXGLSupport.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:17
</p>
</body>
</html>
